﻿using Dynamicweb.Extensibility.Notifications;

namespace CrmIntegration.NotificationSubscribers
{
    [Subscribe(Dynamicweb.DataProcessing.Notifications.ConsentNotification.Withdrawn)]
    public class ConsentWithdrawn : ConsentNotificationSubscriber
    {
        public override void OnNotify(string notification, NotificationArgs args)
        {
            if (args != null)
            {
                Dynamicweb.DataProcessing.Notifications.ConsentNotificationArgs myArgs = (Dynamicweb.DataProcessing.Notifications.ConsentNotificationArgs)args;

                if (myArgs != null && myArgs.Consent != null)
                {
                    OnNotify(myArgs);
                }
            }
        }
    }
}
